class ScaledConv1d(Module):
  __parameters__ = ["weight", "bias", "weight_scale", "bias_scale", ]
  __buffers__ = []
  weight : Tensor
  bias : Optional[Tensor]
  weight_scale : Tensor
  bias_scale : NoneType
  training : bool
  _is_full_backward_hook : NoneType
  transposed : bool
  _reversed_padding_repeated_twice : List[int]
  output_padding : Final[Tuple[int]] = (0,)
  kernel_size : Final[Tuple[int]] = (2,)
  dilation : Final[Tuple[int]] = (1,)
  stride : Final[Tuple[int]] = (1,)
  in_channels : Final[int] = 512
  padding_mode : Final[str] = "zeros"
  groups : Final[int] = 512
  out_channels : Final[int] = 512
  padding : Final[Tuple[int]] = (0,)
  def forward(self: __torch__.scaling.___torch_mangle_11.ScaledConv1d,
    input: Tensor) -> Tensor:
    _0 = torch.conv1d(input, (self).get_weight(), (self).get_bias(), [1], [0], [1], 512)
    return _0
  def get_weight(self: __torch__.scaling.___torch_mangle_11.ScaledConv1d) -> Tensor:
    weight = self.weight
    weight_scale = self.weight_scale
    _1 = torch.mul(weight, torch.exp(weight_scale))
    return _1
  def get_bias(self: __torch__.scaling.___torch_mangle_11.ScaledConv1d) -> NoneType:
    return None
