class ScaledConv1d(Module):
  __parameters__ = ["weight", "bias", "weight_scale", "bias_scale", ]
  __buffers__ = []
  weight : Tensor
  bias : Optional[Tensor]
  weight_scale : Tensor
  bias_scale : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  transposed : bool
  _reversed_padding_repeated_twice : List[int]
  output_padding : Final[Tuple[int]] = (0,)
  kernel_size : Final[Tuple[int]] = (31,)
  dilation : Final[Tuple[int]] = (1,)
  stride : Final[Tuple[int]] = (1,)
  in_channels : Final[int] = 256
  padding_mode : Final[str] = "zeros"
  groups : Final[int] = 256
  out_channels : Final[int] = 256
  padding : Final[Tuple[int]] = (15,)
  def forward(self: __torch__.scaling.___torch_mangle_8.ScaledConv1d,
    input: Tensor) -> Tensor:
    _0 = torch.conv1d(input, (self).get_weight(), (self).get_bias(), [1], [15], [1], 256)
    return _0
  def get_weight(self: __torch__.scaling.___torch_mangle_8.ScaledConv1d) -> Tensor:
    weight = self.weight
    weight_scale = self.weight_scale
    _1 = torch.mul(weight, torch.exp(weight_scale))
    return _1
  def get_bias(self: __torch__.scaling.___torch_mangle_8.ScaledConv1d) -> Optional[Tensor]:
    bias = self.bias
    bias_scale = self.bias_scale
    if torch.__is__(bias, None):
      _2 : Optional[Tensor] = None
    else:
      bias0 = unchecked_cast(Tensor, bias)
      bias1 = unchecked_cast(Tensor, bias0)
      _3 = torch.mul(bias1, torch.exp(bias_scale))
      _2 = _3
    return _2
