class ScaledLinear(Module):
  __parameters__ = ["weight", "bias", "weight_scale", "bias_scale", ]
  __buffers__ = []
  weight : Tensor
  bias : Tensor
  weight_scale : Tensor
  bias_scale : Tensor
  training : bool
  _is_full_backward_hook : NoneType
  out_features : Final[int] = 768
  in_features : Final[int] = 256
  def forward(self: __torch__.scaling.___torch_mangle_2.ScaledLinear,
    input: Tensor) -> Tensor:
    _0 = torch.linear(input, (self).get_weight(), (self).get_bias())
    return _0
  def get_weight(self: __torch__.scaling.___torch_mangle_2.ScaledLinear) -> Tensor:
    weight = self.weight
    weight_scale = self.weight_scale
    _1 = torch.mul(weight, torch.exp(weight_scale))
    return _1
  def get_bias(self: __torch__.scaling.___torch_mangle_2.ScaledLinear) -> Tensor:
    bias = self.bias
    bias_scale = self.bias_scale
    _2 = torch.mul(bias, torch.exp(bias_scale))
    return _2
